<?php 

$idlote 						= $_GET["idlote"];
$idvenda 						= $_GET["idvenda"];
   
   if($idlote == 0 or $idlote == '' or $idvenda == 0 or $idvenda == ''){
   	die("Por segurança não foi possivel realizar a atualização desse lote.");
   }
 include_once "conexao.php";

$up = mysqli_query($db,"UPDATE lote SET status='2' WHERE idlote =$idlote");
$up2 = mysqli_query($db, "UPDATE venda SET status_venda ='2' WHERE idvenda =$idvenda");

$dados[0] = 1;
return $idvenda;


	//Envia Notificação
		
    	include "envia_notificacao.php"; 

      date_default_timezone_set('America/Sao_Paulo');

      $mensagem = null;
      $data = date(H);

      if($data > 00 && $data < 12){
        $mensagem = "Bom dia";

      }if ($data > 12 && $data < 18) {
        $mensagem = "Boa tarde";
        # code...
      }if($data > 18 && $data < 23){
        $mensagem = "Boa noite";
      }

      function tem_imob($recebe){

      	include"conexao.php";

      		$notifica = "SELECT  imob_id FROM `cliente` WHERE `idcliente` = $recebe";
   			$executa = mysqli_query($db,$notifica) or die ("Erro ao listar empreendiment123");

   			if(mysqli_num_rows($executa) > 0){
   				$recebe = mysqli_fetch_assoc($executa);
   				return $recebe["imob_id"];
   			}else{
   				return false;
   			}
      }


    $notifica = "SELECT  imobiliaria_idimobiliaria FROM `venda` WHERE `idvenda` = $idvenda";

    $executa = mysqli_query($db,$notifica) or die ("Erro ao listar empreendiment123");
    
    if(mysqli_num_rows($executa)){
        $dados = [];
        $recebe = mysqli_fetch_assoc($executa);
        
            $dado = null;
            $dado['id_user'] = $recebe["imobiliaria_idimobiliaria"];
            $dado['titulo'] = $mensagem;
            $dado['msg'] = 'Uma nova proposta foi aprovada.';
            $dado['icon'] = 'https://immobilebusiness.com.br/home/assets/img/icons/site/favicon.png';
            $dado['link_red'] ="https://modelo.ibsystem.com.br/ver_contrato_empreendimento.php?venda_idvenda=".$idvenda."";
            $dado['badge'] = 'https://notificacao.ibsystem.com.br/badges/icone%20para%20notifica%c3%a7%c3%a3o.png';

            $dados[] = $dado;
            envia_notificacao($dados);
        }      

      $tem = tem_imob($recebe);

    if( $tem){

        $dados = [];
            $dado = null;
            $dado['id_user'] = $tem;
            $dado['titulo'] = $mensagem;
            $dado['msg'] = 'Uma nova proposta foi aprovada.';
            $dado['icon'] = 'https://immobilebusiness.com.br/home/assets/img/icons/site/favicon.png';
            $dado['link_red'] ="https://modelo.ibsystem.com.br/ver_contrato_empreendimento.php?venda_idvenda=".$idvenda."";
            $dado['badge'] = 'https://notificacao.ibsystem.com.br/badges/icone%20para%20notifica%c3%a7%c3%a3o.png';

            $dados[] = $dado;
            envia_notificacao($dados);
        }
?>